/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that decides if x is infinite. */
#include <math.h>
#include <stdio.h>

int main() {
    double x;
    
    x = 1.0;
    if(isinf(x)) 
        printf("%f is infinite.\n",x);
    else
        printf("%f is not infinite. \n", x);
    x = +INFINITY;
    if(isinf(x))
        printf("%f is infinite.\n",x);
    else
        printf("%f is not infinite. \n", x);
}
